- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::TripletToCSRConverter::TripletEntry Class Reference

Class for one triplet position entry. More...

List of all members.

## Public Member Functions
void | Set (Index i_row, Index j_col, Index i_pos_triplet)
| Set the values of an entry.
bool | operator< (const TripletEntry &Tentry) const
| Comparison operator.
Constructor/Destructor
| TripletEntry ()
| Constructor.
| ~TripletEntry ()
| Destructor.
| TripletEntry (const TripletEntry &)
| Dummy copy constructor.
Accessor methods.
Index | IRow () const
| Row position.
Index | JCol () const
| Column position.
Index | PosTriplet () const
| Index in original triplet matrix.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
void | operator= (const TripletEntry &)
| Overloaded Equals Operator.
## Private Attributes
Entry content.
Index | i_row_
Index | j_col_
Index | i_pos_triplet_

## Detailed Description

Class for one triplet position entry.

Definition at line 26 of file IpTripletToCSRConverter.hpp.

## Constructor & Destructor Documentation

Ipopt::TripletToCSRConverter::TripletEntry::TripletEntry | ( |  | ) | `[inline]`

Constructor.

Definition at line 32 of file IpTripletToCSRConverter.hpp.

Ipopt::TripletToCSRConverter::TripletEntry::~TripletEntry | ( |  | ) | `[inline]`

Destructor.

Definition at line 36 of file IpTripletToCSRConverter.hpp.

Ipopt::TripletToCSRConverter::TripletEntry::TripletEntry | ( | const TripletEntry & |  | ) | `[inline]`

Dummy copy constructor.

Note that nothing is really copied! This is just implemented to that the std::list can be created with uninitialized entries. The values are afterwards set with the Set method.

Definition at line 43 of file IpTripletToCSRConverter.hpp.

## Member Function Documentation

void Ipopt::TripletToCSRConverter::TripletEntry::Set | ( | Index | i_row,
|  | Index | j_col,
|  | Index | i_pos_triplet |
| ) |  |  | `[inline]`

Set the values of an entry.

Definition at line 48 of file IpTripletToCSRConverter.hpp.

References i_pos_triplet_, i_row_, and j_col_.

Index Ipopt::TripletToCSRConverter::TripletEntry::IRow | ( |  | ) | const`[inline]`

Row position.

Definition at line 64 of file IpTripletToCSRConverter.hpp.

References i_row_.

Index Ipopt::TripletToCSRConverter::TripletEntry::JCol | ( |  | ) | const`[inline]`

Column position.

Definition at line 69 of file IpTripletToCSRConverter.hpp.

References j_col_.

Index Ipopt::TripletToCSRConverter::TripletEntry::PosTriplet | ( |  | ) | const`[inline]`

Index in original triplet matrix.

Definition at line 74 of file IpTripletToCSRConverter.hpp.

References i_pos_triplet_.

bool Ipopt::TripletToCSRConverter::TripletEntry::operator< | ( | const TripletEntry & | Tentry | ) | const`[inline]`

Comparison operator.

This is required for the sort function.

Definition at line 81 of file IpTripletToCSRConverter.hpp.

References i_row_, and j_col_.

void Ipopt::TripletToCSRConverter::TripletEntry::operator= | ( | const TripletEntry & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

Index Ipopt::TripletToCSRConverter::TripletEntry::i_row_`[private]`

Definition at line 110 of file IpTripletToCSRConverter.hpp.

Referenced by IRow(), operator<(), and Set().

Index Ipopt::TripletToCSRConverter::TripletEntry::j_col_`[private]`

Definition at line 111 of file IpTripletToCSRConverter.hpp.

Referenced by JCol(), operator<(), and Set().

Index Ipopt::TripletToCSRConverter::TripletEntry::i_pos_triplet_`[private]`

Definition at line 112 of file IpTripletToCSRConverter.hpp.

Referenced by PosTriplet(), and Set().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/LinearSolvers/IpTripletToCSRConverter.hpp